#ifndef __HELLOWORLD_SCENE_H__
#define __HELLOWORLD_SCENE_H__

#include "cocos2d.h"
#include "cocostudio/CocoStudio.h"
#include "ui/CocosGUI.h"

class HelloWorld : public cocos2d::Layer
{
public:
    static cocos2d::Scene* createScene();

    virtual bool init();
    
    // implement the "static create()" method manually
    CREATE_FUNC(HelloWorld);

    void preloadSounds(cocos2d::Ref* ref, cocos2d::ui::Widget::TouchEventType touchEventType);
    void unloadSounds(cocos2d::Ref* ref, cocos2d::ui::Widget::TouchEventType touchEventType);

    int loaded;
    std::string extension;
    std::vector<std::string> files;

    cocos2d::ui::Button* btnPreloadSounds;
    cocos2d::ui::Button* btnUnloadSounds;
    cocos2d::ui::Button* btnPlayLastSound;
    cocos2d::ui::Button* btnToggleExtension;
};

std::string to_str(int t);

#endif // __HELLOWORLD_SCENE_H__
